## mingw-w64-python-starlette-1~0.36.3-1.src.tar.zst

=== requirements.txt ===
# Optionals
-e .[full]

# Testing
coverage==7.4.1
importlib-metadata==7.0.1
mypy==1.8.0
ruff==0.1.15
typing_extensions==4.9.0
types-contextvars==2.4.7.3
types-PyYAML==6.0.12.12
types-dataclasses==0.6.6
pytest==8.0.0
trio==0.24.0

# Documentation
mkdocs==1.5.3
mkdocs-material==9.5.6
mkautodoc==0.2.0

# Packaging
build==1.0.3
twine==4.0.2
